comedi_dio_get_config
Prev | 5.4.4. Digital I/O | Next

## Name

comedi_dio_get_config — query input/output properties of channel

## Synopsis

    #include <comedilib.h>

`int comedi_dio_get_config(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel,
| unsigned int * direction`)`;

## Description

The function `comedi_dio_get_config` queries the input/output configuration of an individual channel in a digital I/O subdevice (see `comedi_dio_config`). On success, `*`direction`` will be set to either `COMEDI_INPUT` or `COMEDI_OUTPUT`.

## Return value

If successful, `0` is returned, otherwise `-1`.

Prev | Up | Next
comedi_dio_config | Home | comedi_dio_read